Upstream information

CVE-2020-28366 at MITRE

Description

Go before 1.14.12 and 1.15.x before 1.15.5 allows Code Injection.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.1
Vector AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network Network
Access Complexity High High
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1178753 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • go1.14 >= 1.14.12-1.26.1
  • go1.14-doc >= 1.14.12-1.26.1
  • go1.15 >= 1.15.5-1.11.1
  • go1.15-doc >= 1.15.5-1.11.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP1-2020-3368
SUSE-SLE-Module-Development-Tools-15-SP1-2020-3369
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • go1.14 >= 1.14.12-1.26.1
  • go1.14-doc >= 1.14.12-1.26.1
  • go1.15 >= 1.15.5-1.11.1
  • go1.15-doc >= 1.15.5-1.11.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2020-3368
SUSE-SLE-Module-Development-Tools-15-SP2-2020-3369
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • go1.14 >= 1.14.12-1.26.1
  • go1.14-doc >= 1.14.12-1.26.1
  • go1.14-race >= 1.14.12-1.26.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-3369
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • go1.14-race >= 1.14.12-1.26.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-3369
openSUSE Leap 15.1
  • go1.14 >= 1.14.12-lp151.22.1
  • go1.14-doc >= 1.14.12-lp151.22.1
  • go1.14-race >= 1.14.12-lp151.22.1
Patchnames:
openSUSE-2020-2047
openSUSE Leap 15.2
  • go1.14 >= 1.14.12-lp152.2.12.1
  • go1.14-doc >= 1.14.12-lp152.2.12.1
  • go1.14-race >= 1.14.12-lp152.2.12.1
  • go1.15 >= 1.15.5-lp152.2.1
  • go1.15-doc >= 1.15.5-lp152.2.1
  • go1.15-race >= 1.15.5-lp152.2.1
Patchnames:
openSUSE-2020-2067
openSUSE-2020-2139
openSUSE Leap 15.3 SLE Imports
  • go1.14 >= 1.14.12-1.26.1
  • go1.14-doc >= 1.14.12-1.26.1
  • go1.14-race >= 1.14.12-1.26.1
  • go1.15 >= 1.15.5-1.11.1
  • go1.15-doc >= 1.15.5-1.11.1
  • go1.15-race >= 1.15.5-1.11.1
Patchnames:
SUSE-2020-3368
SUSE-2020-3369


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Module for Development Tools 15 SP1 go1.14 Released
SUSE Linux Enterprise Module for Development Tools 15 SP1 go1.15 Released
SUSE Linux Enterprise Module for Development Tools 15 SP2 go1.14 Released
SUSE Linux Enterprise Module for Development Tools 15 SP2 go1.15 Released